## fadecut 0.1.1

=== Makefile ===
#!/usr/bin/make -f
#
# This file is part of fadecut
# https://github.com/micressor/fadecut
# 
# fadecut is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# fadecut is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with fadecut.  If not, see <http://www.gnu.org/licenses/>.

test:
#	cd testing && ./fctest
clean:
#	cd testing && ./cleanup.sh

## fadecut 0.1.0

=== debian/changelog ===
fadecut (0.1.0-1) unstable; urgency=low

  * New 0.1.0 upstream release
  * debian/copyright: Changed according to DEP-5
  * debian/control: Vcs-Git added
  * debian/control: Vcs-Browser added
  * Removing Depends on mp3info, mp3splt

 -- Marco Balmer <marco@balmer.name>  Wed, 23 Feb 2011 14:03:35 +0100

fadecut (0.0.2-1) unstable; urgency=low

  * New 0.0.2 upstream release
  * Adding missing Depends on id3v2
  * Changed packaging towards tiny debhelper style
  * debian/fadecut.dirs: removed, because it is no longer necessary
  * debian/watch: Fixed regular expression
  * debian/dirs: usr/sbin removed, because it is not necessary

 -- Marco Balmer <marco@balmer.name>  Wed, 09 Feb 2011 14:02:11 +0100

fadecut (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #611641)

 -- Marco Balmer <marco@balmer.name>  Thu, 03 Feb 2011 14:50:56 +0100

=== debian/control ===
Source: fadecut
Section: sound
Priority: extra
Maintainer: Marco Balmer <marco@balmer.name>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.1
Homepage: http://github.com/micressor/fadecut
Vcs-Git: git://github.com/micressor/fadecut.git
Vcs-Browser: http://github.com/micressor/fadecut

Package: fadecut
Architecture: all
Depends: ${misc:Depends}, vorbis-tools|lame, sox, libsox-fmt-mp3, streamripper, bash (>=3.2-4), id3v2
Description: toolset to rip audiostreams, cut, fade in/out and tag the resulting audiofiles
 fadecut is a script to rip audio files from a livestream and to process them
 automatically. Beginning and ending fo the audio files will be cut and faded
 in/out. So logos and advertising of radio stations will be automatically 
 removed.
 .
 In streaming mode fadecut is ripping audio files using streamripper. The
 downloaded audio files are cutted using silence detection and then faded in 
 and out. Subsequently, the files are encoded to either ogg or mp3 and tagged
 with tags (title, artist, genre and comment provided).
 .
 In file mode fadecut is just processing already ripped audio files.
 .
 An audio file which has already been processed is detected and will not be
 processed again. Not desired songs can be stored in a separate directory. This
 files are not processed anymore too.

## fadecut 0.1.1

=== debian/changelog ===
fadecut (0.1.1-1) unstable; urgency=low

  * New 0.1.1 upstrem release (Closes: #645392)

 -- Marco Balmer <marco@balmer.name>  Mon, 17 Oct 2011 14:07:19 +0200

fadecut (0.1.0-2) unstable; urgency=low

  * Update debian/copyright: Fix lintian warning
  * Update debian/control: Standards-Version: 3.9.2

 -- Marco Balmer <marco@balmer.name>  Tue, 11 Oct 2011 11:48:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Marco Balmer <marco@balmer.name>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://github.com/micressor/fadecut
 Vcs-Git: git://github.com/micressor/fadecut.git
 Vcs-Browser: http://github.com/micressor/fadecut

=== debian/watch ===
version=3
http://githubredir.debian.net/github/micressor/fadecut/([\d\.]*).tar.gz

## fadecut 0.1.3

=== debian/changelog ===
fadecut (0.1.3-1) unstable; urgency=low

  * New 0.1.3 upstream release
  * Closes #2 at github: "add custom USER_AGENT" Thanks to mitsukarenai.
  * fadecut 0.1.2-1 was only in experimental and goes to unstable now.

 -- Marco Balmer <marco@balmer.name>  Fri, 22 Mar 2013 10:16:57 +0100

fadecut (0.1.2-1) experimental; urgency=low

  * New 0.1.2 upstream release 
  * Closes #1 at github: Fadecut had problems with two instances running
    concurrently
  * debian/control Standards-Version: 3.9.4
  * debian/control Build-Depends changed to debhelper (>= 9)
  * debian/compat Changed to 9
  * debian/watch according to Bart Martens

 -- Marco Balmer <marco@balmer.name>  Wed, 27 Feb 2013 11:49:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: sound
 Priority: extra
 Maintainer: Marco Balmer <marco@balmer.name>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
 Homepage: http://github.com/micressor/fadecut
 Vcs-Git: git://github.com/micressor/fadecut.git
-Vcs-Browser: http://github.com/micressor/fadecut
+Vcs-Browser: https://github.com/micressor/fadecut/tree/debian
 
 Package: fadecut
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/micressor/fadecut/tags .*/(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 12:53:26 +0000

## fadecut 0.1.4

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,6 @@
 # along with fadecut.  If not, see <http://www.gnu.org/licenses/>.
 
 test:
-#	cd testing && ./fctest
+	cd testing && ./fctest
 clean:
-#	cd testing && ./cleanup.sh
+	cd testing && ./cleanup.sh

=== debian/changelog ===
fadecut (0.1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Tue, 05 May 2015 21:45:55 +0200

fadecut (0.1.4-1~exp1) experimental; urgency=low

  * New 0.1.4 upstream release
  * Standards bumped to 3.9.6

 -- Marco Balmer <marco@balmer.name>  Mon, 16 Feb 2015 15:23:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: sound
 Priority: extra
 Maintainer: Marco Balmer <marco@balmer.name>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), vorbis-tools, lame, sox, libsox-fmt-mp3, streamripper, id3v2
+Standards-Version: 3.9.6
 Homepage: http://github.com/micressor/fadecut
 Vcs-Git: git://github.com/micressor/fadecut.git
 Vcs-Browser: https://github.com/micressor/fadecut/tree/debian

## fadecut 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # This file is part of fadecut
-# https://github.com/micressor/fadecut
+# https://github.com/fadecut/fadecut
 # 
 # fadecut is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,7 +16,49 @@
 # You should have received a copy of the GNU General Public License
 # along with fadecut.  If not, see <http://www.gnu.org/licenses/>.
 
+PN		= fadecut
+
+PREFIX		?= /usr
+BINDIR		= $(PREFIX)/bin
+DOCDIR		= $(PREFIX)/share/doc/$(PN)
+MAN1DIR		= $(PREFIX)/share/man/man1
+TESTINGDIR	= testing
+HOME_FADECUT	= ${HOME}/.fadecut
+
+all:
+	@echo Building manpage from fadecut.1.md
+	pandoc -s -t man man/fadecut.1.md -o man/fadecut.1
+
 test:
-	cd testing && ./fctest
+	for Recipe in $(TESTINGDIR)/recipes/*.sh; do \
+	  echo -n "Testing $$Recipe: "; \
+	  ./$$Recipe `pwd` || exit $?; \
+	done
+	@echo All checks successfully done!
+
 clean:
-	cd testing && ./cleanup.sh
+	find $(TESTINGDIR)/testdir/ -name "*.mp3" -delete
+	find $(TESTINGDIR)/testdir/ -name "*.ogg" -delete
+	find $(TESTINGDIR)/testdir/ -name "*.opus" -delete
+
+	if [ -f "man/fadecut.1" ]; then \
+	  echo remove man/fadecut.1; \
+	  rm man/fadecut.1; \
+	fi
+
+install-bin:
+	@echo 'installing main script...'
+	install -Dm755 $(PN) "$(DESTDIR)$(BINDIR)/$(PN)"
+
+install-man:
+	@echo 'installing manpages...'
+	install -Dm644 man/$(PN).1 "$(DESTDIR)$(MAN1DIR)/$(PN).1"
+
+install-doc:
+	@echo 'installing documentation...'
+	install -Dm644 README.md "$(DESTDIR)$(DOCDIR)/README.md"
+	install -Dm644 NOTES.md "$(DESTDIR)$(DOCDIR)/NOTES.md"
+	gzip -n9 "$(DESTDIR)$(DOCDIR)/README.md"
+	gzip -n9 "$(DESTDIR)$(DOCDIR)/NOTES.md"
+
+install: all install-bin install-man install-doc

=== debian/changelog ===
fadecut (0.2.1-1) unstable; urgency=low

  * New 0.2.1 upstream release
  * Standards bumped to 4.1.1
  * Add pandoc to build-depends
  * Add opus-tools to depends
  * Add gzip to build-depends
  * Add mediainfo to depends and build-depends
  * Change watch-file url
  * Replace with new Vcs-Git to github url
  * Integrate changes from NMU two years ago (to be consistend d/changelog)
  * Bump compat level 10 and debhelper >=10

 -- Marco Balmer <marco@balmer.name>  Wed, 29 Nov 2017 18:13:59 +0000

=== debian/control ===
Source: fadecut
Maintainer: Marco Balmer <marco@balmer.name>
Section: sound
Priority: optional
Build-Depends: debhelper (>= 10),
               vorbis-tools,
               opus-tools,
               lame,
               sox,
               libsox-fmt-mp3,
               streamripper,
               id3v2,
               pandoc (>= 1.12),
               gzip (>= 1.6),
               mediainfo (>= 0.7.80)
Standards-Version: 4.1.1
Vcs-Browser: https://github.com/fadecut/fadecut/tree/debian
Vcs-Git: https://github.com/fadecut/fadecut.git
Homepage: http://github.com/fadecut/fadecut

Package: fadecut
Architecture: all
Depends: ${misc:Depends},
         sox,
         vorbis-tools | lame,
         opus-tools,
         libsox-fmt-mp3,
         streamripper,
         id3v2,
         mediainfo (>= 0.7.80)
Description: toolset to rip audiostreams, cut, fade in/out and tag the resulting audiofiles
 fadecut is a script to rip audio files from a livestream and to process them
 automatically. Beginning and ending fo the audio files will be cut and faded
 in/out. So logos and advertising of radio stations will be automatically
 removed.
 .
 In streaming mode fadecut is ripping audio files using streamripper. The
 downloaded audio files are cutted using silence detection and then faded in
 and out. Subsequently, the files are encoded to either ogg or mp3 and tagged
 with tags (title, artist, genre and comment provided).
 .
 In file mode fadecut is just processing already ripped audio files.
 .
 An audio file which has already been processed is detected and will not be
 processed again. Not desired songs can be stored in a separate directory. This
 files are not processed anymore too.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/fadecut/fadecut/tags .*/(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 12:53:26 +0000
